Bug 300016 - kaddressbook thememanagertest hangs
Summary: kaddressbook thememanagertest hangs
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-14 16:04 UTC by Michael Palimaka
Modified: 2012-05-15 19:56 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Backtrace after killing hanging test (2.73 KB, text/plain)
2012-05-14 16:10 UTC, Michael Palimaka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Palimaka 2012-05-14 16:04:42 UTC
thememanagertest in grantlee/tests hangs.

Reproducible: Always

Steps to Reproduce:
1. cmake . -DKDE4_BUILD_TESTS=true
2. make -j5
3. ctest



Firstly, the themepath is hard-coded to /mnt/archive/src/kde-trunk/src/kdepim/kaddressbook/grantlee/tests/themes/.

Then, a couple of comparisons fail, where the 'actual' result is correct.

Finally, the test hangs.
Comment 1 Michael Palimaka 2012-05-14 16:10:22 UTC
Created attachment 71093 [details]
Backtrace after killing hanging test
Comment 2 Christophe Giboudeaux 2012-05-14 22:15:44 UTC
Git commit af701cd232ed03c69d9a0952b7a89a20e2380101 by Christophe Giboudeaux.
Committed on 15/05/2012 at 00:14.
Pushed by cgiboudeaux into branch 'master'.

Fix hanging test

M  +9    -6    kaddressbook/grantlee/tests/thememanagertest.cpp

http://commits.kde.org/kdepim/af701cd232ed03c69d9a0952b7a89a20e2380101
Comment 3 Michael Palimaka 2012-05-15 16:42:53 UTC
Is it OK if I backport that commit to KDE/4.8?
Comment 4 Christophe Giboudeaux 2012-05-15 19:56:33 UTC
Git commit 1c838ba3d762efd2323a3e0b7298de08acc4238e by Christophe Giboudeaux.
Committed on 15/05/2012 at 00:14.
Pushed by cgiboudeaux into branch 'KDE/4.8'.

Fix hanging test
(cherry picked from commit af701cd232ed03c69d9a0952b7a89a20e2380101)

M  +9    -6    kaddressbook/grantlee/tests/thememanagertest.cpp

http://commits.kde.org/kdepim/1c838ba3d762efd2323a3e0b7298de08acc4238e
Comment 5 Christophe Giboudeaux 2012-05-15 19:56:44 UTC
Voila